tigase.jaxmpp.core.client.xmpp.modules.muc

## Class MucModule.YouJoinedHandler.YouJoinedEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<MucModule.YouJoinedHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.muc.MucModule.YouJoinedHandler.YouJoinedEvent

- Enclosing interface:
    MucModule.YouJoinedHandler

      public static class MucModule.YouJoinedHandler.YouJoinedEvent
      extends JaxmppEvent<MucModule.YouJoinedHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `YouJoinedEvent(SessionObject sessionObject, Room room, String nickname)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(MucModule.YouJoinedHandler handler)` Invokes handlers method.
    `Room` | `getRoom()`
    `void` | `setRoom(Room room)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### YouJoinedEvent

          public YouJoinedEvent(SessionObject sessionObject,
                                Room room,
                                String nickname)

  - ### Method Detail

    - #### dispatch

          protected void dispatch(MucModule.YouJoinedHandler handler)

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<MucModule.YouJoinedHandler>`
      Parameters:
        `handler` - handler

    - #### getRoom

          public Room getRoom()

    - #### setRoom

          public void setRoom(Room room)

Copyright © 2006–2016 Tigase. All rights reserved.